Results 1 to 4 of 4

Thread: Arduino use and install

  1. #1

    Default Arduino use and install

    Hi everyone!
    I have two problems with arduino IDE: one in updating and one in trying to run it.

    I can't install the latest version of arduino-hardware and I'm getting the following error:
    Code:
    Installation of arduino-hardware-1.8.5-8.1.x86_64 failed:
    Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/share/arduino/hardware: cpio: lstat failed - Too many levels of symbolic links
    error: arduino-hardware-1.8.5-8.1.x86_64: install failed
    error: arduino-hardware-1.8.5-7.55.x86_64: erase skipped
    And when I run it the other error is:
    Code:
    arduino                                                   
    Picked up JAVA_TOOL_OPTIONS: 
    java.lang.NullPointerException
        at cc.arduino.contributions.packages.ContributionsIndexer.syncBuiltInHardware(ContributionsIndexer.java:220)
        at cc.arduino.contributions.packages.ContributionsIndexer.syncWithFilesystem(ContributionsIndexer.java:211)
        at processing.app.BaseNoGui.initPackages(BaseNoGui.java:495)
        at processing.app.Base.<init>(Base.java:261)
        at processing.app.Base.main(Base.java:144)

    Can anyone help me?
    Thanks!

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: Arduino use and install

    How did you upgrade your Tumbleweed? If not through 'zypper dup', then use that first.

    From what it looks like, you already have a package installed, can you remove that package, then reinstall ?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: Arduino use and install

    Yes, it's updated.
    I was trying to get Arduino package updated because is not loading (as posted), but if I try to uninstall/reinstall I get the same error about too many symlinks

    Update: downloaded arduino tar from the official website: works like a charm!

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,279
    Blog Entries
    2

    Default Re: Arduino use and install

    to the @OP,
    Request that you submit your experience with details to https://bugzilla.opensuse.org

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •